#include <iostream>

double A[200000];
double P[200000];
int N;

using namespace std;

double zaradaCalc (double trenutanProcenat) {
	double zaradaPrivremeno = 0;
	
	for (int i=0; i<N; i++) {
		if (P[i] >= trenutanProcenat) {
			zaradaPrivremeno += A[i];
		}
	}
	return zaradaPrivremeno;
}

int main () {
	double zarada = 0;
	double max_zarada = 0;
	
	scanf("%d", &N);
	
	for (int i = 0; i<N; i++) {
		scanf("%lf%lf", &A[i], &P[i]);
	}

	for (int i = 0; i<N; i++) {
		
		zarada = zaradaCalc(P[i]);

		if (zarada*(P[i]/100.0) > max_zarada) {
			max_zarada = zarada*(P[i]/100.0);
		}
		
	}

	printf("%.2lf\n", max_zarada);
	return 0;
}